### Method

# Gtk Editabledelete_text

#### Declaration [src]

    void
    gtk_editable_delete_text (
      GtkEditable* editable,
      int start_pos,
      int end_pos
    )

#### Description [src]

Deletes a sequence of characters.

The characters that are deleted are those characters at positions from `start_pos` up to, but not including `end_pos`. If `end_pos` is negative, then the characters deleted are those from `start_pos` to the end of the text.

Note that the positions are specified in characters, not bytes.

#### Parameters

`start_pos`

  Type: `int`

  Start position.

`end_pos`

  Type: `int`

  End position.